> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_documentsv2/guides/driving-school-integration.md).

# Driving School Integration

***

{% hint style="danger" %}

## Read carefully!

**If your Driving School script does not have open code to allow you to enter an export.**

In such cases, we recommend contacting the author of the resource and requesting compatibility with our system.
{% endhint %}

{% hint style="info" %}
**The following give document integration example is based on the publicly available resource `esx_dmvschool`.**

After reviewing and carefully reading this guide, you'll understand how to implement the give document.
{% endhint %}

Source Code: [**https://github.com/esx-framework/esx\_dmvschool**](https://github.com/esx-framework/esx_dmvschool/blob/main/server/main.lua#L19-L28)

{% code title="esx\_dmvschool" %}

```lua
RegisterNetEvent('esx_dmvschool:addLicense')
AddEventHandler('esx_dmvschool:addLicense', function(type)
    local source = source
    
    TriggerEvent('esx_license:addLicense', source, type, function()
        TriggerEvent('esx_license:getLicenses', source, function(licenses)
            -- VMS Documents V2 Integration --
            -- VMS Documents V2 Integration --
            
            exports['vms_documentsv2']:giveDocument(source, 'driving_license', nil, true)
        
            -- VMS Documents V2 Integration --
            -- VMS Documents V2 Integration --
            
            TriggerClientEvent('esx_dmvschool:loadLicenses', source, licenses)
        end)
    end)
end)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_documentsv2/guides/driving-school-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
